Complete Payment (pending → completed)
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/payments/{id}/complete \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"order_id": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}Admin - Payments
Complete Payment (pending → completed)
POST
/
admin
/
payments
/
{id}
/
complete
Complete Payment (pending → completed)
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/payments/{id}/complete \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"order_id": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
⌘I